import { RefferalHospital } from "entity";
import { SelectQueryBuilder } from "typeorm";
import CommonHelper from "../helpers/common";
import { OrmHelper } from "../helpers/orm";

export class RefferalHospitalModel {
    static async list(filter = {}): Promise<SelectQueryBuilder<any>> {
        const repo = OrmHelper.DB.getRepository(RefferalHospital);
        let whereAttr: string[] = [];
        let whereVal: any = {};
        if (filter && Object.keys(filter).length > 0) {
            whereAttr = [...whereAttr, ...CommonHelper.handleQueryFilter(filter, "refferal_hospital").whereAttr];
            whereVal = { ...whereVal, ...CommonHelper.handleQueryFilter(filter, "refferal_hospital").whereVal };
        }

        var query = repo.createQueryBuilder("refferal_hospital");
        if (whereAttr.length != 0) {
            query = query.where(whereAttr.join(" and "), whereVal);
        }

        return query;
    }
}